Subject: RE: [Sip] Query about '491 response' in case of RE-INVITE.

From: [email-masked]
Date: Fri, 18 Nov 2005 01:13:38 +0530

After receiving 180, Invite Client Transaction at User A is in 'Proceeding' state. Re-Invite must not be sent before the previous INVITE trasaction gets into a Completed or Terminated state.  
 
-----------
RFC 3261, 14.1 UAC Behavior States:
UAC MUST NOT initiate a new INVITE transaction within a dialog while another INVITE transaction is in progress in either direction. If there is an ongoing INVITE client transaction, the TU MUST wait until the transaction reaches the completed or terminated state before initiating the new INVITE.
------------

Also 491 'Request Pending' is sent when a UAS receives an INVITE while it is expecting a response for the INVITE it has sent.

500 Server Internal Error with 'Retry-After' is appropriate for this case. See RFC 3261 section 14.2.

-Ramakrishna

________________________________

From: [email-masked] on behalf of Manjeet Soodan
Sent: Fri 11/18/2005 12:28 AM
To: [email-masked]
Subject: [Sip] Query about '491 response' in case of RE-INVITE.

1) There are two SIP UA's A and B.
2) A sends INVITE with SDP to B.
3) B responds with 100 and then 180 Ringing(wthout SDP)  and adds TO tag to
180.
3) After 180 is received, A sends a  RE-INVITE before 200 OK is received
(i.e RE-INVITE with all the headers having same value as initial INVITE and
higher CSEQ value).
4) In this case B responds with a  '491 Request Pending' for RE-INVITE.

Is it the right behaviour, if not then what should be the right behaviour of
B?

-Manjeet

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: [email-masked]
Date: Fri, 18 Nov 2005 15:07:57 +0530

Manjeet-

A) Re-Invite must not be sent before the previous Invite transaction
completes.

B) A new offer must not be sent before a offer/answer exchange
completes. In the case you mentioned, 180 is received without SDP. From
the message flow, I think it is not a reliable provisional also. As
offer/answer is not completed, you cannot send another offer(even UPDATE
is not possible). You may want to look at "Table 1. Summary of SIP Usage
of Offer/Answer Model" in 'draft-sawada-sipping-sip-offeranswer-00'. A
new offer is possible in early dialog only with PRACK and UPDATE
requests.

C) If UAS receives a re-Invite(from an errant UAC) before UAS sends a
final response to previous Invite, it should respond back with 500
(Server Internal Error) and include 'Retry-After' header with a value
between 0 to 10 seconds. 491 is not the correct message.

-Ramakrishna

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Manjeet Soodan
Sent: Friday, November 18, 2005 12:51 PM
To: Paul Kyzivat
Cc: [email-masked]
Subject: RE: [Sip] Query about '491 response' in case of RE-INVITE.

Paul, but in our case an early dialog is already formed when we received
a '180' with TO tag, so in this case a INVITE can be considered as a
RE-INVITE as is the case below, then a '491' becomes a valid response.

Acc to RFC 3261 :- 12.1 Creation of a Dialog

   Dialogs are created through the generation of non-failure responses
   to requests with specific methods.  Within this specification, only
   2xx and 101-199 responses with a To tag, where the request was
   INVITE, will establish a dialog.  A dialog established by a non-final
   response to a request is in the "early" state and it is called an
   early dialog.

-Manjeet

-----Original Message-----
From: Paul Kyzivat [mailto:[email-masked]]
Sent: Friday, November 18, 2005 1:38 AM
To: Syed, Mohammad Rafi
Cc: Manjeet Soodan; [email-masked]
Subject: Re: [Sip] Query about '491 response' in case of RE-INVITE.

No, this is not correct behavior. There must not be a reinvite until the
initial invite transaction is completed (with a 200 and an ACK).

If the 180 is sent *reliably* (using the 100rel option) and then
PRACKed, then there is an early dialog and A may send an UPDATE. That is
as close as you can get to the functionality of a reinvite before the
initial invite is present.

	Paul

Syed, Mohammad Rafi wrote:
> This is right behaviour as Offer recvd at UA-B in the initial INVITE 
> is
still not replied with an answer(either in 18X if reliable is used or
200OK with SDP).
>
> A                   B
> ----INVITEOffer1---->
> <------answer1----(18X with SDP if reliable or 200 OK with SDP)
>
>
> -Rafi.
>
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of 
> Manjeet Soodan
> Sent: Thursday, November 17, 2005 1:58 PM
> To: [email-masked]
> 3) B responds with 100 and then 180 Ringing(wthout SDP)  and adds TO 
> tag
to
> 180.
> 3) After 180 is received, A sends a  RE-INVITE before 200 OK is 
> received (i.e RE-INVITE with all the headers having same value as 
> initial INVITE
and
> Is it the right behaviour, if not then what should be the right 
> behaviour
of
> This list is for NEW development of the core SIP Protocol Use 
> [email-masked] for questions on current sip Use 
> [email-masked] for new developments on the application of sip
>
> This list is for NEW development of the core SIP Protocol Use 
> [email-masked] for questions on current sip Use 
> [email-masked] for new developments on the application of sip
>

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol Use
[email-masked] for questions on current sip Use
[email-masked] for new developments on the application of sip